Bug 47779 - new port: gtkgep, GTK-based Guitar Effects Processor
Summary: new port: gtkgep, GTK-based Guitar Effects Processor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-01 04:10 UTC by Mark Linimon
Modified: 2003-02-22 20:34 UTC (History)
0 users

See Also:


Attachments
file.shar (3.99 KB, text/plain)
2003-02-01 04:10 UTC, Mark Linimon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon 2003-02-01 04:10:09 UTC
	GtkGEP turns your computer into a realtime effects processor. You
	can plug your guitar into the computer and play with cool distortion
	effects, for example. It has a modular plugin structure, with standard
	plugins including distortion, overdrive, delay, reverb, equalizers,
	and a flanger. It works in 16-bit resolution, in mono mode, and with
	frequencies from 11khz to 44khz. The sound quality is very good.

	Although the project has a page on sourceforge, it is not
	hosted there.

How-To-Repeat: 	N/A
Comment 1 corecode@corecode.ath.cx 2003-02-02 16:03:14 UTC
Lately Mark Linimon told:

> sed 's/^X//' >gtkgep/pkg-plist << 'END-of-gtkgep/pkg-plist'
> Xbin/gtkgep
> Xlib/libfilter.a
> Xlib/libfilter.la

no .so?
please USE_LIBTOOL or patch the port in another way so that .la files
don't get installed. (portlint tells you so)

> sed 's/^X//' >gtkgep/Makefile << 'END-of-gtkgep/Makefile'
[...]
> XCONFIGURE_ENV+=	LIBS=${PTHREAD_LIBS}

and where do ${PTHREAD_CFLAGS} go? not needed?

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 2 Joe Marcus Clarke freebsd_committer 2003-02-22 20:23:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

I'll take this.
Comment 3 Joe Marcus Clarke freebsd_committer 2003-02-22 20:33:40 UTC
State Changed
From-To: open->closed

Committed with libtool and dependency modifications.  Thanks.